org.apache.solr.cloud.overseer

## Class SliceMutator

- java.lang.Object
- - org.apache.solr.cloud.overseer.SliceMutator

-     public class SliceMutator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PREFERRED_LEADER_PROP`
    `static Set<String>` | `SLICE_UNIQUE_BOOLEAN_PROPERTIES`
    `protected ZkStateReader` | `zkStateReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliceMutator(ZkStateReader zkStateReader)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZkWriteCommand` | `addReplica(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `addRoutingRule(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `removeReplica(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `removeRoutingRule(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `setShardLeader(ClusterState clusterState, ZkNodeProps message)`
    `static DocCollection` | `updateReplica(DocCollection collection, Slice slice, String coreNodeName, Replica replica)`
    `ZkWriteCommand` | `updateShardState(ClusterState clusterState, ZkNodeProps message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFERRED_LEADER_PROP

          public static final String PREFERRED_LEADER_PROP

      See Also:
        Constant Field Values

    - #### SLICE_UNIQUE_BOOLEAN_PROPERTIES

          public static final Set<String> SLICE_UNIQUE_BOOLEAN_PROPERTIES

    - #### zkStateReader

          protected final ZkStateReader zkStateReader

  - ### Constructor Detail

    - #### SliceMutator

          public SliceMutator(ZkStateReader zkStateReader)

  - ### Method Detail

    - #### addReplica

          public ZkWriteCommand addReplica(ClusterState clusterState,
                                           ZkNodeProps message)

    - #### removeReplica

          public ZkWriteCommand removeReplica(ClusterState clusterState,
                                              ZkNodeProps message)

    - #### setShardLeader

          public ZkWriteCommand setShardLeader(ClusterState clusterState,
                                               ZkNodeProps message)

    - #### updateShardState

          public ZkWriteCommand updateShardState(ClusterState clusterState,
                                                 ZkNodeProps message)

    - #### addRoutingRule

          public ZkWriteCommand addRoutingRule(ClusterState clusterState,
                                               ZkNodeProps message)

    - #### removeRoutingRule

          public ZkWriteCommand removeRoutingRule(ClusterState clusterState,
                                                  ZkNodeProps message)

    - #### updateReplica

          public static DocCollection updateReplica(DocCollection collection,
                                                    Slice slice,
                                                    String coreNodeName,
                                                    Replica replica)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.